import { createAppContainer } from "react-navigation";
import { createStackNavigator } from "react-navigation-stack";
import { createDrawerNavigator } from "react-navigation-drawer";

// Create a Drawer Navigator for the first hamburger menu component
const DrawerNavigatorPatient = createDrawerNavigator(
  {
    Home: HomeScreen,
    Profile: ProfileScreen,
  },
  {
    initialRouteName: "Home",
    contentOptions: {
      // Customization options for the drawer content
    },
  }
);

// Create a Drawer Navigator for the second hamburger menu component
const DrawerNavigatorPractitioner = createDrawerNavigator(
  {
    Home: HomeScreen,
    Settings: SettingsScreen,
  },
  {
    initialRouteName: "Home",
    contentOptions: {
      // Customization options for the drawer content
    },
  }
);

// Create separate stacks for each hamburger menu component
const StackNavigatorPatient = createStackNavigator({
  Drawer1: { screen: DrawerNavigatorPatient },
});

const StackNavigatorPractitioner = createStackNavigator({
  Drawer2: { screen: DrawerNavigatorPractitioner },
});

// Create the app containers for each hamburger menu component
const AppContainerPatient = createAppContainer(StackNavigatorPatient);
const AppContainerPractitioner = createAppContainer(StackNavigatorPractitioner);

export { AppContainerPatient, AppContainerPractitioner };
